declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion as int
declare @id_funcionalidad_padre as int
set @id_funcionalidad_padre  =  (select top 1 id from gui_funcionalidad where nombreControl = 'doc_documento_ordenCompra' and id_tipoFuncionalidad = 3 and url like '/forms/doc/doc_documento_ordenCompra.aspx%' and active = 1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'recibirOC' and id_tipoFuncionalidad = 2 and active = 1 and nombreControl = 'pop_recibirOC' and id_funcionalidad =  @id_funcionalidad_padre)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Recibir','','doc_entregar.png','','','','',0,'pop_recibirOC','recibirOC',1,@id_funcionalidad_padre,2) 
end